View Issue Details

IDProjectCategoryView StatusLast Update
07744Bug reportsSurvey editingpublic2013-04-23 16:30
Reporterholch Assigned Toc_schmitz  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Fixed in Version2.00+ 
Summary07744: False confirmation of adding subquestions when running into database limit
DescriptionIn the support forum I am having a case where survey isn't overly big, but the user wants to add one multiple response question with more than 300 companies and then filter a array (text) question with 3 answer options.

Due to the long list it seems like he is running into the limits of the database (which I find very problematic bis the survey itself is not that big), due to this constalation.

So I created a test survey and I could reproduce the problem: when you want to add the 3 horizontal subquestions (headers for the columns of the array-text question) it seems like we are running into the database limit. OK so far. But Limesurvey confirms the creation of the subquestions with "Subquestions were successfully saved.". But then no subquestion is saved. In this case there should be some error message and I think it should state the problem of the database limit, so the user at least knows.
TagsNo tags attached.
Complete LimeSurvey version number (& build)
I will donate to the project if issue is resolved
Browser
Database & DB-Version
Server OS (if known)
Webserver software & version (if known)
PHP Version

Activities

holch

holch

2013-04-08 17:57

reporter  

c_schmitz

c_schmitz

2013-04-11 23:27

administrator   ~24946

Last edited: 2013-04-12 08:08

View 2 revisions

That's not a database limit - it is a PHP limit. Max_input_vars defaults to 1000

holch

holch

2013-04-12 03:41

reporter   ~24947

But couldn't we give a warning that the creation was not successful?

I guess we can't do anything against PHP or database limits, but at least we should not confirm a creation that was never completed.
c_schmitz

c_schmitz

2013-04-12 08:03

administrator   ~24948

LimeSurvey does not know that the number of variables transmitted was pruned by the server setting - so it can't tell that there is an error.
holch

holch

2013-04-12 14:43

reporter   ~24954

Thanks for the feedback. Is it save to increase this number?

I think I will add something to the "limits" page where we talk about the database limits. And if it is OK to increase this (or possible) then I'll add that too.

But I still think it is not good behaviour that Limesurvey confirms something that isn't true. So it doesn't really check that they were created, is just says that it went through a process and finished the process. Sucessful or not.
mdekker

mdekker

2013-04-16 11:17

reporter   ~24969

possible fix: one of the first fields (hidden) holds number of fields / records... then we have something to check. If submitted numer does not match we can present a warning.
c_schmitz

c_schmitz

2013-04-22 14:51

administrator   ~25040

Fix committed to 2.05 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=12324
c_schmitz

c_schmitz

2013-04-22 14:53

administrator   ~25041

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=12326
c_schmitz

c_schmitz

2013-04-22 14:54

administrator   ~25042

Good suggestion - added something similar.
c_schmitz

c_schmitz

2013-04-23 16:30

administrator   ~25085

2.00+ Build 130424 release

Related Changesets

LimeSurvey: 2.05 2dcfe6e6

2013-04-22 12:51:07

c_schmitz

Details Diff
Fixed issue 07744: False confirmation of adding subquestions when running into database limit Affected Issues
07744
mod - application/controllers/admin/database.php Diff File
mod - application/views/admin/survey/Question/answerOptions_view.php Diff File
mod - application/views/admin/survey/Question/subQuestion_view.php Diff File

LimeSurvey: master 4ec41b1d

2013-04-22 12:51:07

c_schmitz

Details Diff
Fixed issue 07744: False confirmation of adding subquestions when running into database limit Affected Issues
07744
mod - application/controllers/admin/database.php Diff File
mod - application/views/admin/survey/Question/answerOptions_view.php Diff File
mod - application/views/admin/survey/Question/subQuestion_view.php Diff File

Issue History

Date Modified Username Field Change
2013-04-08 17:57 holch New Issue
2013-04-08 17:57 holch File Added: limesurvey_survey_357639.lss
2013-04-08 23:24 DenisChenu Project Feature requests => Bug reports
2013-04-11 23:27 c_schmitz Note Added: 24946
2013-04-11 23:27 c_schmitz Status new => closed
2013-04-11 23:27 c_schmitz Assigned To => c_schmitz
2013-04-11 23:27 c_schmitz Resolution open => not fixable
2013-04-12 03:41 holch Note Added: 24947
2013-04-12 03:41 holch Status closed => feedback
2013-04-12 03:41 holch Resolution not fixable => reopened
2013-04-12 08:03 c_schmitz Note Added: 24948
2013-04-12 08:08 c_schmitz Note Edited: 24946 View Revisions
2013-04-12 14:43 holch Note Added: 24954
2013-04-12 14:43 holch Status feedback => assigned
2013-04-16 11:17 mdekker Note Added: 24969
2013-04-22 14:51 c_schmitz Changeset attached => LimeSurvey 2.05 2dcfe6e6
2013-04-22 14:51 c_schmitz Note Added: 25040
2013-04-22 14:51 c_schmitz Status assigned => resolved
2013-04-22 14:51 c_schmitz Fixed in Version => 2.00+
2013-04-22 14:51 c_schmitz Resolution reopened => fixed
2013-04-22 14:53 c_schmitz Changeset attached => LimeSurvey master 4ec41b1d
2013-04-22 14:53 c_schmitz Note Added: 25041
2013-04-22 14:54 c_schmitz Note Added: 25042
2013-04-23 16:30 c_schmitz Note Added: 25085
2013-04-23 16:30 c_schmitz Status resolved => closed
2019-11-01 17:25 c_schmitz Category Survey design => Survey editing